//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tGOOSEcapabilities complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tGOOSEcapabilities"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceWithMax"&gt;
 *       &lt;attribute name="fixedOffs" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="goose" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" /&gt;
 *       &lt;attribute name="rGOOSE" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tGOOSEcapabilities")
public class TGOOSEcapabilities
    extends TServiceWithMax
{

    @XmlAttribute(name = "fixedOffs")
    protected Boolean fixedOffs;
    @XmlAttribute(name = "goose")
    protected Boolean goose;
    @XmlAttribute(name = "rGOOSE")
    protected Boolean rgoose;

    /**
     * 获取fixedOffs属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isFixedOffs() {
        if (fixedOffs == null) {
            return false;
        } else {
            return fixedOffs;
        }
    }

    /**
     * 设置fixedOffs属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFixedOffs(Boolean value) {
        this.fixedOffs = value;
    }

    /**
     * 获取goose属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isGoose() {
        if (goose == null) {
            return true;
        } else {
            return goose;
        }
    }

    /**
     * 设置goose属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setGoose(Boolean value) {
        this.goose = value;
    }

    /**
     * 获取rgoose属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isRGOOSE() {
        if (rgoose == null) {
            return false;
        } else {
            return rgoose;
        }
    }

    /**
     * 设置rgoose属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setRGOOSE(Boolean value) {
        this.rgoose = value;
    }

}
